| Kea 3.0.2-git

isc::dhcp::HostPageSize Class Reference

Wraps value holding size of the page with host reservations. More...

`#include <base_host_data_source.h>`

## Public Member Functions
| HostPageSize (const size_t page_size)
| Constructor.

## Public Attributes
const size_t | page_size_
| Holds page size.

## Detailed Description

Wraps value holding size of the page with host reservations.

Definition at line 53 of file base_host_data_source.h.

## Constructor & Destructor Documentation

## ◆ HostPageSize()

isc::dhcp::HostPageSize::HostPageSize | ( | const size_t | page_size | ) |
| inline explicit

Constructor.

Parameters

  page_size | page size value.

Exceptions

  OutOfRange | if page size is 0 or greater than uint32_t numeric limit.

Definition at line 61 of file base_host_data_source.h.

References isc_throw, and page_size_.

## Member Data Documentation

## ◆ page_size_

const size_t isc::dhcp::HostPageSize::page_size_

Holds page size.

Definition at line 71 of file base_host_data_source.h.

Referenced by HostPageSize().

The documentation for this class was generated from the following file:

- base_host_data_source.h